module Iswim.Main where

import Iswim.Iswim
import Iswim.Domains
import Iswim.Eval
import Iswim.Translate

run :: Dom -> IO ()
run (Lnorm _ _) = return ()
run (Error err _) = putStrLn err
run TypeError = putStrLn "Error de tipo" 
run (Lout n d) = putStrLn (show n) >> run d
run (Lin f) = getLine >>= \line -> 
              case reads line of
                [(x,"")] -> run (f x)
                _ -> putStrLn "Error en el input"


main :: IO ()
main = putStrLn "Hola"